This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 117316 - e2fsadm-equivalent missing for lvm2
e2fsadm-equivalent missing for lvm2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Kabelac
:
: 131597 151179 197327 (view as bug list)
Depends On:
Blocks: 143501
  Show dependency treegraph
 
Reported: 2004-03-02 14:58 EST by Alexandre Oliva
Modified: 2008-06-27 17:42 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 17:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-03-02 14:58:28 EST
lvm has this nice e2fsadm utility, but it fails if you're using the
lvm2 modules.
Comment 1 Heinz Mauelshagen 2004-04-06 06:00:48 EDT
We are working on an fsadm tool for lvm2 which supports resizing of
various filesystems, not just ext2.
Comment 2 Alasdair Kergon 2004-08-31 10:01:51 EDT
lvresize now has a --resizefs option if configured with --enable-fsadm
but it still needs testing.
Comment 3 Alexandre Oliva 2004-09-05 06:44:02 EDT
# lvresize --resizefs -L 20G /dev/all/l
  fsadm: execlp failed: No such file or directory
  fsadm failed: 2
Comment 4 Alexandre Oliva 2004-09-07 13:07:48 EDT
*** Bug 131597 has been marked as a duplicate of this bug. ***
Comment 5 Alasdair Kergon 2005-03-22 12:20:17 EST
*** Bug 151179 has been marked as a duplicate of this bug. ***
Comment 6 Jeremiah Johnson 2006-01-17 12:12:41 EST
Great, two year old bug. Any idea when/if this will ever actually be resolved?
Comment 7 Alasdair Kergon 2006-01-17 12:35:01 EST
Nobody's bothered to do the testing yet, and I've still got more important
things to deal with.  Bastien Blank submitted some patches but added extra
package dependencies so they need more work before they can be incorporated
upstream (with the new dependencies made optional).
Comment 8 Jeremiah Johnson 2006-01-17 12:36:57 EST
Ok, if outside testing is needed please let me know. 

Thanks!
Comment 9 Alexandre Oliva 2006-01-18 15:12:55 EST
What testing you mean?  Last you told me something needed testing, I tested it
and it just didn't work at all.  What else?
Comment 10 Jeremiah Johnson 2006-06-16 14:48:32 EDT
Any updates?  It looks like this didn't get fixed with U3, can we hope it'll be
resolved by U4?  At the very least, could you put fsadm back in until your new
uber fsadm is ready for the public?
Comment 11 Milan Broz 2006-07-18 08:31:23 EDT
*** Bug 197327 has been marked as a duplicate of this bug. ***
Comment 12 Matt Darcy 2006-08-14 05:47:14 EDT
How can this be ? redhat ships an enterprise product with LVM2 support - yet
core functionality lv resizing is broke in terms of being able to resize the
file system after the lv has been resized. Sort of makes LVM pointless if you
can't make changes to existing filesystems. 

If you want testing help - there are users - me included that will test this
with/for you. An enterprise Linux product needs a solid volume manager. Volume
managment is currently broke in RHEL4.3 as far as I'm concerned.
Comment 13 Bryn M. Reeves 2006-08-14 06:40:55 EDT
That is incorrect. RHEL3 and 4 as well as Fedora Core releases ship with
resize2fs support in the e2fsprogs package. This tool provides the ability to
grow or shrink an unmounted ext2/3 filesystem.

Additionally, RHEL4 and later Fedora Core releases all ship with ext2online to
provide the ability to grow an ext3 filesystem online (while mounted).

e2fsadm is simply a convenience front-end that resizes both the logical volume
and the filesystem in one step.

Although this combined capability is not present in the current LVM2 package,
filesystem and logical volume reszing is certainly supported both by the
standard command line tools and graphical system-config-lvm package.
Comment 14 Matt Darcy 2006-08-14 08:12:18 EDT
fantasic information, thank you. 

This is an excellent solution while the fsadm bugs are resolved. As stated
earlier I would be happy to participate in product testing to get this
functionality moved forard. 
Comment 15 John Thacker 2006-10-30 09:46:06 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 16 Jeremiah Johnson 2006-12-19 16:47:03 EST
This bug is still valid in RHEL 4.
Comment 17 Jeremiah Johnson 2006-12-19 16:54:56 EST
Let me clarify.  The lack of e2fsadm means you need to even more carefully plan
out filesystem resizing.  If you run resize2fs and lvresize in the wrong order
you can end up with a broken filesystem easily.  Having run into this issue
before I know how to do this and am careful about it.  However having a properly
functioning e2fsadm makes this much easier and removes a little stress.  I am
all for the new resizing tool, I just dont think you should remove a useful
'feature' while that program is being developed.  Once that program is in the
users hands, please feel free to remove e2fsadm, until then, please give it back.
Comment 18 Bryn M. Reeves 2006-12-20 06:30:42 EST
It's not that e2fsadm was removed from lvm2 - it never existed. The e2fsadm
command is part of the old lvm1 package, which is a completely different
implementation of the LVM tools and kernel support.

As such, it's not a case of giving it back - the old tool needs significant work
to make it functional with lvm2 and to port it to the lvm2 source distribution.
Right now, it won't even compile outside the lvm1 source tree.

Comment 19 Boris Folgmann 2007-03-19 09:57:09 EDT
Agreed, but if there is no fsadm in lvm2 the --resizefs switch in lvresize and
its man page should be removed, since one still gets the 
# lvresize --resizefs -L 20G /dev/all/l
  fsadm: execlp failed: No such file or directory
  fsadm failed: 2

error message on the latest RHEL4.

It also a bad idea that the lvm utils are installed to /usr/sbin instead of
/sbin, but that's a different thing. It seems that they are also missing in the
rescue mode of the bootable CD.
Comment 20 Alasdair Kergon 2007-03-19 10:03:40 EDT
use 'lvm' as a prefix to all lvm commands e.g. '/sbin/lvm vgs'
Comment 21 Alasdair Kergon 2007-03-19 10:06:47 EDT
Didn't expect it to take so long to get fsadm finished!
Comment 22 Zdenek Kabelac 2008-01-09 10:47:37 EST
fsadm script is now part of upstream and available with configuration flag
--enable-fsadm
Comment 23 Bug Zapper 2008-05-13 21:55:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.